
QGIS Application - Bug report #11526

Vector layer "Save as..." fails with GDAL 1.11.1

2014-10-31 08:35 AM - Daniel Sánchez Pillot Gutiérrez

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 19796

Description

When right clicking on a vector layer and selecting "Save as..." QGIS crashes. This behavior happens only when using GDAL 1.11.1-1,

switching back to GDAL 1.11.0-4 resolved the issue. The error reported by gdb was:

Program received signal SIGSEGV, Segmentation fault.

0x00007ffff4bc146e in OGR2SQLITE_Register() () from /usr/lib/libgdal.so.1

So It's a version thing with GDAL I presume. The complete output is below.

Starting program: /usr/bin/qgis 

warning: Could not load shared library symbols for linux-vdso.so.1.

Do you need "set solib-search-path" or "set sysroot"?

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/usr/lib/libthread_db.so.1".

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: QGraphicsScene::addItem: item has already been added to this scene

[New Thread 0x7fffd4405700 (LWP 11854)]

[New Thread 0x7fff93b02700 (LWP 11855)]

[New Thread 0x7fff92e58700 (LWP 11856)]

Warning: libpng warning: iCCP: known incorrect sRGB profile

Warning: libpng warning: iCCP: known incorrect sRGB profile

Warning: libpng warning: iCCP: known incorrect sRGB profile

[New Thread 0x7fff760df700 (LWP 11861)]

[New Thread 0x7fff758de700 (LWP 11863)]

[New Thread 0x7fff74ac1700 (LWP 11864)]

[Thread 0x7fff758de700 (LWP 11863) exited]

[Thread 0x7fff74ac1700 (LWP 11864) exited]

[New Thread 0x7fff74ac1700 (LWP 11865)]

[New Thread 0x7fff758de700 (LWP 11866)]

[New Thread 0x7fff67fff700 (LWP 11867)]

Program received signal SIGSEGV, Segmentation fault.

0x00007ffff4bc146e in OGR2SQLITE_Register() () from /usr/lib/libgdal.so.1

(gdb) continue

Continuing.

QGIS died on signal 11[Thread 0x7fff74ac1700 (LWP 11865) exited]

[Thread 0x7fff758de700 (LWP 11866) exited]

[Thread 0x7fff67fff700 (LWP 11867) exited]

[Thread 0x7fff760df700 (LWP 11861) exited]

warning: process 11850 is already traced by process 11842
ptrace: Operation not permitted.

No thread selected

No stack.

gdb returned 0

Program received signal SIGABRT, Aborted.

0x00007fffefe4f967 in raise () from /usr/lib/libc.so.6

(gdb) continue

Continuing.

[Thread 0x7fff93b02700 (LWP 11855) exited]

[Thread 0x7fff92e58700 (LWP 11856) exited]

[Thread 0x7fffd4405700 (LWP 11854) exited]

Program terminated with signal SIGABRT, Aborted.

The program no longer exists.

(gdb) quit

History

#1 - 2014-11-13 04:53 AM - Jorge Munoz

I got the same issue, but different in details. Using archlinux kernel 3.17.2-1, qgis 2.6, and gdal 1.11.1-2 when "save as" in a shape layer (raster works fine)

as a normal user it says:

QGIS died on signal 11ptrace: Operation not permitted.

No thread selected

No stack.

gdb returned 0

zsh: abort (core dumped)

As a root user shows this:

QGIS died on signal 11

warning: Could not load shared library symbols for linux-vdso.so.1.

Do you need "set solib-search-path" or "set sysroot"?

[New LWP 3389]

[New LWP 3385]

[New LWP 3378]

[New LWP 3377]

[New LWP 3376]

[New LWP 3375]

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/usr/lib/libthread_db.so.1".

0x00007fc25f9373eb in waitpid () from /usr/lib/libc.so.6

[Current thread is 1 (Thread 0x7fc267f7b7c0 (LWP 3374))]

#0 0x00007fc25f9373eb in waitpid () from /usr/lib/libc.so.6

No symbol table info available.

#1 0x00000000004f38f6 in qgisCrash(int) ()

No symbol table info available.

#2 <signal handler called>

No symbol table info available.
#3 0x00007fc264bc0dee in OGR2SQLITE_Register() () from /usr/lib/libgdal.so.1

No symbol table info available.

#4 0x00007fc264b9d868 in OGRSQLiteDataSource::OpenOrCreateDB(int) () from /usr/lib/libgdal.so.1

No symbol table info available.

#5 0x00007fc264ba1e5e in OGRSQLiteDataSource::Create(char const*, char**) () from /usr/lib/libgdal.so.1

No symbol table info available.

#6 0x00007fc264ba5d86 in OGRSQLiteDriver::CreateDataSource(char const*, char**) () from /usr/lib/libgdal.so.1

No symbol table info available.

#7 0x00007fc264b936a2 in OGR_Dr_CreateDataSource () from /usr/lib/libgdal.so.1

No symbol table info available.

#8 0x00007fc263ea90a2 in QgsVectorFileWriter::ogrDriverList() () from /usr/lib/libqgis_core.so.2.6.0

No symbol table info available.

#9 0x00000000007fb139 in QgsVectorLayerSaveAsDialog::setup() ()

No symbol table info available.

#10 0x00000000007fbeeb in QgsVectorLayerSaveAsDialog::QgsVectorLayerSaveAsDialog(long, QgsRectangle const&, bool, int, QWidget*,

QFlags<Qt::WindowType>) ()

No symbol table info available.

#11 0x000000000053b2a2 in QgisApp::saveAsVectorFileGeneral(QgsVectorLayer*, bool) ()

No symbol table info available.

#12 0x0000000000839db7 in ?? ()

No symbol table info available.

#13 0x00007fc262b4bd9c in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4

No symbol table info available.

#14 0x00007fc261e85362 in QAction::triggered(bool) () from /usr/lib/libQtGui.so.4

No symbol table info available.

#15 0x00007fc261e86ee7 in QAction::activate(QAction::ActionEvent) () from /usr/lib/libQtGui.so.4

No symbol table info available.

#16 0x00007fc2622d9f1d in ?? () from /usr/lib/libQtGui.so.4

No symbol table info available.

#17 0x00007fc2622de8d9 in ?? () from /usr/lib/libQtGui.so.4

No symbol table info available.

#18 0x00007fc261eded88 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4

No symbol table info available.

#19 0x00007fc2622e28ab in QMenu::event(QEvent*) () from /usr/lib/libQtGui.so.4

No symbol table info available.

#20 0x00007fc261e8bb2c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4

No symbol table info available.

#21 0x00007fc261e926ef in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4

No symbol table info available.

#22 0x00007fc263d07a3b in QgsApplication::notify(QObject*, QEvent*) () from /usr/lib/libqgis_core.so.2.6.0

No symbol table info available.

#23 0x00007fc262b3728d in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4

No symbol table info available.

#24 0x00007fc261e91d4f in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool) () from /usr/lib/libQtGui.so.4

No symbol table info available.

#25 0x00007fc261f08cba in ?? () from /usr/lib/libQtGui.so.4

No symbol table info available.

#26 0x00007fc261f0731c in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4

No symbol table info available.

#27 0x00007fc261f2f462 in ?? () from /usr/lib/libQtGui.so.4

No symbol table info available.

#28 0x00007fc25dc7ea1d in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
No symbol table info available.

#29 0x00007fc25dc7ed08 in ?? () from /usr/lib/libglib-2.0.so.0

No symbol table info available.

#30 0x00007fc25dc7edbc in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0

No symbol table info available.

#31 0x00007fc262b6637d in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4

No symbol table info available.

#32 0x00007fc261f2f526 in ?? () from /usr/lib/libQtGui.so.4

No symbol table info available.

#33 0x00007fc262b35de1 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4

No symbol table info available.

#34 0x00007fc262b36145 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4

No symbol table info available.

#35 0x00007fc2622e14b7 in QMenu::exec(QPoint const&, QAction*) () from /usr/lib/libQtGui.so.4

No symbol table info available.

#36 0x00007fc2635ee7fd in QgsLayerTreeView::contextMenuEvent(QContextMenuEvent*) () from /usr/lib/libqgis_gui.so.2.6.0

No symbol table info available.

#37 0x00007fc261eded88 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4

No symbol table info available.

#38 0x00007fc26229f0fe in QFrame::event(QEvent*) () from /usr/lib/libQtGui.so.4

No symbol table info available.

#39 0x00007fc2623bc1a3 in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4

No symbol table info available.

#40 0x00007fc2623fe540 in QTreeView::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4

No symbol table info available.

#41 0x00007fc262b373f6 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4

No symbol table info available.

#42 0x00007fc261e8bb0c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4

No symbol table info available.

#43 0x00007fc261e93e37 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4

No symbol table info available.

#44 0x00007fc263d07a3b in QgsApplication::notify(QObject*, QEvent*) () from /usr/lib/libqgis_core.so.2.6.0

No symbol table info available.

#45 0x00007fc262b3728d in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4

No symbol table info available.

#46 0x00007fc261f0898d in ?? () from /usr/lib/libQtGui.so.4

No symbol table info available.

#47 0x00007fc261f0731c in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4

No symbol table info available.

#48 0x00007fc261f2f462 in ?? () from /usr/lib/libQtGui.so.4

No symbol table info available.

#49 0x00007fc25dc7ea1d in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0

No symbol table info available.

#50 0x00007fc25dc7ed08 in ?? () from /usr/lib/libglib-2.0.so.0

No symbol table info available.

#51 0x00007fc25dc7edbc in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0

No symbol table info available.

#52 0x00007fc262b6637d in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4

No symbol table info available.

#53 0x00007fc261f2f526 in ?? () from /usr/lib/libQtGui.so.4

No symbol table info available.

#54 0x00007fc262b35de1 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4

No symbol table info available.
#55 0x00007fc262b36145 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4

No symbol table info available.

#56 0x00007fc262b3b6e9 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4

No symbol table info available.

#57 0x00000000004edfb5 in main ()

No symbol table info available.

gdb returned 0

Abort (`core' dump) 

#2 - 2014-11-13 12:34 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

- Affected QGIS version changed from 2.4.0 to 2.6.0

it does not seems to happen in Window, OsX and Linux (Debian, Ubuntu) using official packages, so it seems a local issue.

#3 - 2014-11-14 05:39 AM - Jorge Munoz

Ubuntu 14.04 and debian unstable use gdal 1.10.1

#4 - 2014-11-14 07:19 AM - Daniel Sánchez Pillot Gutiérrez

Forgot to mention I'm also running Arch Linux, could people on other distros be affected?

#5 - 2014-11-15 01:10 AM - Giovanni Manghi

Jorge Munoz wrote:

Ubuntu 14.04 and debian unstable use gdal 1.10.1

ubuntu official packages are in the ubuntugis repo and they are compiled against gdal 1.11 and there is no crash. Many people also compile from source,

sometimes against other gdal versions and this too does not seems to be an issue.

#6 - 2014-11-16 10:20 AM - Aaron Schiff

I'm also experiencing this issue with QGIS 2.6 and GDAL 1.11.1 on OS X. I installed both using homebrew with the osgeo4mac formula. Here's the crash

report when I right-click a shape layer and choose Save As ...

Process:               QGIS [61844]

Path:                  /usr/local/Cellar/qgis-26/2.6.0_1/QGIS.app/Contents/MacOS/QGIS

Identifier:            org.qgis.qgis2-hb

Version:               2.6.0 (2.6.0 [exported])

Code Type:             X86-64 (Native)

Parent Process:        ??? [1]
Responsible:           QGIS [61844]

User ID:               501

Date/Time:             2014-11-17 07:18:13.769 +1300

OS Version:            Mac OS X 10.10 (14A389)

Report Version:        11

Time Awake Since Boot: 630000 seconds

Time Since Wake:       490 seconds

Crashed Thread:        0  Dispatch queue: com.apple.main-thread

Exception Type:        EXC_BAD_ACCESS (SIGSEGV)

Exception Codes:       KERN_INVALID_ADDRESS at 0x0000000000000600

VM Regions Near 0x600:

--> 

    __TEXT                 0000000106fe2000-00000001076e8000 [ 7192K] r-x/rwx SM=COW 

/usr/local/Cellar/qgis-26/2.6.0_1/QGIS.app/Contents/MacOS/QGIS

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread

0   libgdal.1.dylib                   0x00000001099479e0 OGR2SQLITE_Register() + 19

1   libgdal.1.dylib                   0x000000010992efad OGRSQLiteDataSource::Create(char const*, char**) + 123

2   libgdal.1.dylib                   0x000000010993476a OGRSQLiteDriver::CreateDataSource(char const*, char**) + 76

3   libgdal.1.dylib                   0x0000000109925960 OGR_Dr_CreateDataSource + 24

4   org.qgis.qgis2_core               0x000000010a0a19e3 QgsVectorFileWriter::ogrDriverList() + 795

5   org.qgis.qgis2-hb                 0x00000001072fa315 QgsVectorLayerSaveAsDialog::setup() + 255

6   org.qgis.qgis2-hb                 0x00000001072faf97 QgsVectorLayerSaveAsDialog::QgsVectorLayerSaveAsDialog(long, QgsRectangle const&,

bool, int, QWidget*, QFlags<Qt::WindowType>) + 119

7   org.qgis.qgis2-hb                 0x0000000107021227 QgisApp::saveAsVectorFileGeneral(QgsVectorLayer*, bool) + 213

8   org.qgis.qgis2-hb                 0x00000001073427a2 QgisApp::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) + 7226

9   QtCore                            0x000000010abced71 QMetaObject::activate(QObject*, QMetaObject const*, int, void**) + 2037

10  QtGui                             0x000000010ae4a731 QAction::activate(QAction::ActionEvent) + 227

11  QtGui                             0x000000010b1b5989 QMenuPrivate::activateCausedStack(QList<QPointer<QWidget> > const&, QAction*,

QAction::ActionEvent, bool) + 77

12  QtGui                             0x000000010b1b4762 QMenuPrivate::activateAction(QAction*, QAction::ActionEvent, bool) + 470

13  QtGui                             0x000000010ae8f9d7 QWidget::event(QEvent*) + 837

14  QtGui                             0x000000010b1b89af QMenu::event(QEvent*) + 617

15  QtGui                             0x000000010ae51ed5 QApplicationPrivate::notify_helper(QObject*, QEvent*) + 195

16  QtGui                             0x000000010ae53ab2 QApplication::notify(QObject*, QEvent*) + 2578

17  org.qgis.qgis2_core               0x0000000109f0763b QgsApplication::notify(QObject*, QEvent*) + 93

18  QtCore                            0x000000010abbabb8 QCoreApplication::notifyInternal(QObject*, QEvent*) + 118

19  QtGui                             0x000000010ae527a6 QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*,

QWidget**, QPointer<QWidget>&, bool) + 446

20  QtGui                             0x000000010ae0b3af qt_mac_handleMouseEvent(NSEvent*, QEvent::Type, Qt::MouseButton, QWidget*, bool) + 1057

21  com.apple.AppKit                  0x00007fff8e54b0cb -[NSWindow _reallySendEvent:] + 759

22  com.apple.AppKit                  0x00007fff8dfd865c -[NSWindow sendEvent:] + 368

23  QtGui                             0x000000010adfcd3b -[QCocoaPanel sendEvent:] + 113

24  com.apple.AppKit                  0x00007fff8df8a1e6 -[NSApplication sendEvent:] + 2238

25  QtGui                             0x000000010ae07ec5 -[QNSApplication sendEvent:] + 78

26  com.apple.AppKit                  0x00007fff8de16fe8 -[NSApplication run] + 711

27  QtGui                             0x000000010ae0f936 QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 540

28  QtCore                            0x000000010abb8215 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 77
29  QtCore                            0x000000010abb8386 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 356

30  QtGui                             0x000000010b1b7683 QMenu::exec(QPoint const&, QAction*) + 103

31  org.qgis.qgis2_gui                0x000000010a5afca5 QgsLayerTreeView::contextMenuEvent(QContextMenuEvent*) + 229

32  QtGui                             0x000000010ae8fe8e QWidget::event(QEvent*) + 2044

33  QtGui                             0x000000010b180903 QFrame::event(QEvent*) + 43

34  QtGui                             0x000000010b1eed9a QAbstractScrollArea::viewportEvent(QEvent*) + 108

35  QtGui                             0x000000010b260db7 QAbstractItemView::viewportEvent(QEvent*) + 1493

36  QtGui                             0x000000010b29749d QTreeView::viewportEvent(QEvent*) + 225

37  QtGui                             0x000000010b1ef495 QAbstractScrollAreaFilter::eventFilter(QObject*, QEvent*) + 37

38  QtCore                            0x000000010abbada9 QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) + 103

39  QtGui                             0x000000010ae51ec5 QApplicationPrivate::notify_helper(QObject*, QEvent*) + 179

40  QtGui                             0x000000010ae54217 QApplication::notify(QObject*, QEvent*) + 4471

41  org.qgis.qgis2_core               0x0000000109f0763b QgsApplication::notify(QObject*, QEvent*) + 93

42  QtCore                            0x000000010abbabb8 QCoreApplication::notifyInternal(QObject*, QEvent*) + 118

43  QtGui                             0x000000010ae551ba qt_sendSpontaneousEvent(QObject*, QEvent*) + 45

44  QtGui                             0x000000010ae0b3f1 qt_mac_handleMouseEvent(NSEvent*, QEvent::Type, Qt::MouseButton, QWidget*, bool) + 1123

45  com.apple.AppKit                  0x00007fff8e54c406 -[NSWindow _reallySendEvent:] + 5682

46  com.apple.AppKit                  0x00007fff8dfd865c -[NSWindow sendEvent:] + 368

47  QtGui                             0x000000010ae03aa1 -[QCocoaWindow sendEvent:] + 113

48  com.apple.AppKit                  0x00007fff8df8a1e6 -[NSApplication sendEvent:] + 2238

49  QtGui                             0x000000010ae07ec5 -[QNSApplication sendEvent:] + 78

50  com.apple.AppKit                  0x00007fff8de16fe8 -[NSApplication run] + 711

51  QtGui                             0x000000010ae0f936 QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 540

52  QtCore                            0x000000010abb8215 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 77

53  QtCore                            0x000000010abb8386 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 356

54  QtCore                            0x000000010abbb009 QCoreApplication::exec() + 199

55  org.qgis.qgis2-hb                 0x0000000106feec4d main + 16125

56  libdyld.dylib                     0x00007fff8a6bf5c9 start + 1

#7 - 2014-11-17 03:39 PM - Paul Mietz Egli

This is an issue with GDAL that should be fixed in the 1.11.2 release: http://trac.osgeo.org/gdal/ticket/5725

If you're on OSX, you can install the HEAD version of GDAL that contains the bug fix by running "brew reinstall gdal --HEAD".

#8 - 2014-11-17 10:39 PM - Paolo Cavallini

- Category set to Build/Install

It seems important to update the osgeo4w package, then.

#9 - 2014-11-18 01:38 PM - Aaron Schiff

Thanks for your help. I ran "brew reinstall gdal --HEAD" successfully, however QGIS still crashers on "Save As" for a shape layer. Hopefully 1.11.2 will fix

it.

Here's the crash report this time:

Process:               QGIS [26932]
Path:                  /usr/local/Cellar/qgis-26/2.6.0_1/QGIS.app/Contents/MacOS/QGIS

Identifier:            org.qgis.qgis2-hb

Version:               2.6.0 (2.6.0 [exported])

Code Type:             X86-64 (Native)

Parent Process:        ??? [1]

Responsible:           QGIS [26932]

User ID:               501

Date/Time:             2014-11-19 10:37:03.154 +1300

OS Version:            Mac OS X 10.10.1 (14B25)

Report Version:        11

Time Awake Since Boot: 11000 seconds

Time Since Wake:       4700 seconds

Crashed Thread:        0  Dispatch queue: com.apple.main-thread

Exception Type:        EXC_BAD_ACCESS (SIGSEGV)

Exception Codes:       KERN_INVALID_ADDRESS at 0x0000000100000001

VM Regions Near 0x100000001:

--> 

    __TEXT                 0000000105fa8000-00000001066ae000 [ 7192K] r-x/rwx SM=COW 

/usr/local/Cellar/qgis-26/2.6.0_1/QGIS.app/Contents/MacOS/QGIS

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread

0   libsystem_c.dylib                 0x00007fff99fed6de strstr + 42

1   gdal_GRASS.so                     0x000000010f58b029 GRASSDataset::Open(GDALOpenInfo*) + 81

2   libgdal.1.dylib                   0x0000000108737ae8 GDALIdentifyDriver + 246

3   libgdal.1.dylib                   0x0000000108736aea GDALDriver::QuietDelete(char const*) + 44

4   libgdal.1.dylib                   0x00000001087369ad GDALDriver::Create(char const*, int, int, int, GDALDataType, char**) + 589

5   libgdal.1.dylib                   0x000000010891714b OGR_Dr_CreateDataSource + 47

6   org.qgis.qgis2_core               0x00000001090c59e3 QgsVectorFileWriter::ogrDriverList() + 795

7   org.qgis.qgis2-hb                 0x00000001062c0315 QgsVectorLayerSaveAsDialog::setup() + 255

8   org.qgis.qgis2-hb                 0x00000001062c0f97 QgsVectorLayerSaveAsDialog::QgsVectorLayerSaveAsDialog(long, QgsRectangle const&,

bool, int, QWidget*, QFlags<Qt::WindowType>) + 119

9   org.qgis.qgis2-hb                 0x0000000105fe7227 QgisApp::saveAsVectorFileGeneral(QgsVectorLayer*, bool) + 213

10  org.qgis.qgis2-hb                 0x00000001063087a2 QgisApp::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) + 7226

11  QtCore                            0x0000000109becd71 QMetaObject::activate(QObject*, QMetaObject const*, int, void**) + 2037

12  QtGui                             0x0000000109e6a731 QAction::activate(QAction::ActionEvent) + 227

13  QtGui                             0x000000010a1d5989 QMenuPrivate::activateCausedStack(QList<QPointer<QWidget> > const&, QAction*,

QAction::ActionEvent, bool) + 77

14  QtGui                             0x000000010a1d4762 QMenuPrivate::activateAction(QAction*, QAction::ActionEvent, bool) + 470

15  QtGui                             0x0000000109eaf9d7 QWidget::event(QEvent*) + 837

16  QtGui                             0x000000010a1d89af QMenu::event(QEvent*) + 617

17  QtGui                             0x0000000109e71ed5 QApplicationPrivate::notify_helper(QObject*, QEvent*) + 195

18  QtGui                             0x0000000109e73ab2 QApplication::notify(QObject*, QEvent*) + 2578

19  org.qgis.qgis2_core               0x0000000108f2b63b QgsApplication::notify(QObject*, QEvent*) + 93

20  QtCore                            0x0000000109bd8bb8 QCoreApplication::notifyInternal(QObject*, QEvent*) + 118

21  QtGui                             0x0000000109e727a6 QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*,

QWidget**, QPointer<QWidget>&, bool) + 446

22  QtGui                             0x0000000109e2b3af qt_mac_handleMouseEvent(NSEvent*, QEvent::Type, Qt::MouseButton, QWidget*, bool) + 1057

23  com.apple.AppKit                  0x00007fff9114c02b -[NSWindow _reallySendEvent:] + 759
24  com.apple.AppKit                  0x00007fff90bd950c -[NSWindow sendEvent:] + 368

25  QtGui                             0x0000000109e1cd3b -[QCocoaPanel sendEvent:] + 113

26  com.apple.AppKit                  0x00007fff90b8b096 -[NSApplication sendEvent:] + 2238

27  QtGui                             0x0000000109e27ec5 -[QNSApplication sendEvent:] + 78

28  com.apple.AppKit                  0x00007fff90a17e98 -[NSApplication run] + 711

29  QtGui                             0x0000000109e2f936 QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 540

30  QtCore                            0x0000000109bd6215 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 77

31  QtCore                            0x0000000109bd6386 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 356

32  QtGui                             0x000000010a1d7683 QMenu::exec(QPoint const&, QAction*) + 103

33  org.qgis.qgis2_gui                0x00000001095d2ca5 QgsLayerTreeView::contextMenuEvent(QContextMenuEvent*) + 229

34  QtGui                             0x0000000109eafe8e QWidget::event(QEvent*) + 2044

35  QtGui                             0x000000010a1a0903 QFrame::event(QEvent*) + 43

36  QtGui                             0x000000010a20ed9a QAbstractScrollArea::viewportEvent(QEvent*) + 108

37  QtGui                             0x000000010a280db7 QAbstractItemView::viewportEvent(QEvent*) + 1493

38  QtGui                             0x000000010a2b749d QTreeView::viewportEvent(QEvent*) + 225

39  QtGui                             0x000000010a20f495 QAbstractScrollAreaFilter::eventFilter(QObject*, QEvent*) + 37

40  QtCore                            0x0000000109bd8da9 QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) + 103

41  QtGui                             0x0000000109e71ec5 QApplicationPrivate::notify_helper(QObject*, QEvent*) + 179

42  QtGui                             0x0000000109e74217 QApplication::notify(QObject*, QEvent*) + 4471

43  org.qgis.qgis2_core               0x0000000108f2b63b QgsApplication::notify(QObject*, QEvent*) + 93

44  QtCore                            0x0000000109bd8bb8 QCoreApplication::notifyInternal(QObject*, QEvent*) + 118

45  QtGui                             0x0000000109e751ba qt_sendSpontaneousEvent(QObject*, QEvent*) + 45

46  QtGui                             0x0000000109e2b3f1 qt_mac_handleMouseEvent(NSEvent*, QEvent::Type, Qt::MouseButton, QWidget*, bool) + 1123

47  com.apple.AppKit                  0x00007fff9114d366 -[NSWindow _reallySendEvent:] + 5682

48  com.apple.AppKit                  0x00007fff90bd950c -[NSWindow sendEvent:] + 368

49  QtGui                             0x0000000109e23aa1 -[QCocoaWindow sendEvent:] + 113

50  com.apple.AppKit                  0x00007fff90b8b096 -[NSApplication sendEvent:] + 2238

51  QtGui                             0x0000000109e27ec5 -[QNSApplication sendEvent:] + 78

52  com.apple.AppKit                  0x00007fff90a17e98 -[NSApplication run] + 711

53  QtGui                             0x0000000109e2f936 QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 540

54  QtCore                            0x0000000109bd6215 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 77

55  QtCore                            0x0000000109bd6386 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 356

56  QtCore                            0x0000000109bd9009 QCoreApplication::exec() + 199

57  org.qgis.qgis2-hb                 0x0000000105fb4c4d main + 16125

58  libdyld.dylib                     0x00007fff8e7c65c9 start + 1

#10 - 2014-11-22 04:45 PM - Larry Shaffer

For Mac users of Homebrew's gdal formula, try installing the following formula that includes the 1.11 branch's fix for this issue: 

https://github.com/Homebrew/homebrew/pull/34389

You can test locally by installing the PR directly:

brew rm gdal

brew install [--with-your-options] https://raw.githubusercontent.com/dakcarto/homebrew/gdal-sqlite-fix/Library/Formula/gdal.rb

You may need to reinstall QGIS formula, e.g. brew reinstall qgis-26

#11 - 2014-11-23 10:24 AM - Aaron Schiff
The latest update of gdal (1.11.1_3) in homebrew seems to have fixed this issue for me on OS X.

#12 - 2014-11-23 02:23 PM - Larry Shaffer

Aaron Schiff wrote:

The latest update of gdal (1.11.1_3) in homebrew seems to have fixed this issue for me on OS X.

That's good! It is now committed to Homebrew's main repo. Anyone who would like to test, please try:

brew update

brew reinstall gdal

Then try to run qgis-26 or qgis-24. You may have to rebuild, if it crashes and complains about a missing libgdal.dylib.

#13 - 2014-11-23 02:40 PM - Nikolay Lebedev

I can confirm. The gdal patch (https://raw.githubusercontent.com/dakcarto/homebrew/gdal-sqlite-fix/Library/Formula/gdal.rb) worked for me on OS X 10.10

with qgis-26. Now save dialog opens up as expected.

#14 - 2014-12-09 07:30 AM - Daniel Sánchez Pillot Gutiérrez

Just to let you know, tested again in Arch Linux with gdal 1.11.1-3 and I still get the same error. Waiting for version 1.11.2

#15 - 2015-01-10 02:08 PM - Jürgen Fischer

- Status changed from Feedback to Closed

apparently a packaging problem.
https://raw.githubusercontent.com/dakcarto/homebrew/gdal-sqlite-fix/Library/Formula/gdal.rb

